@font-face {
  font-family: "Montserrat";
  src: url("./assets/fonts/Montserrat-Black.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-Bold.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-ExtraBold.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-ExtraLight.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-Light.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-Medium.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-Regular.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-SemiBold.ttf") format("ttf"),
    url("./assets/fonts/Montserrat-Thin.ttf") format("ttf");
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  /*font primary - fallback fonts*/
  font-family: "Montserrat", Verdana, sans‑serif;
  font-style: normal;
}

.home {
  background: #ffc107;
  height: 100vh;
}

.logo {
  height: 60px;
  padding: 10px;
}

.logo__img {
  height: 40px;
  width: auto;
}

@media screen and (min-width: 770px) {
  .logo {
    height: 100px;
    padding: 10px;
  }
  .logo__img {
    height: 100px;
    width: auto;
  }
}

/*------------welcome section-----------*/

.welcome {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 60px);
  gap: 2rem;
  padding: 10px;
}

.welcome__text {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  max-width: 500px;
}

.welcome__text h2 {
  font-weight: 700;
  font-size: 2rem;
  line-height: 39px;
  letter-spacing: 0.05em;
  text-align: center;
}

.welcome__text p {
  font-weight: 400;
  font-size: 1rem;
  line-height: 20px;
  letter-spacing: 0.05em;
  display: flex;
  align-items: center;
  text-align: center;
}

.welcome__text .phrase {
  font-weight: 700;
}

.welcome__text a {
  width: 200px;
  height: 50px;
  border-radius: 15px;
  background: #3b5ba7;
  color: #fffff1;
  text-decoration: none;
  font-weight: 700;
  font-size: 15px;
  line-height: 18px;
  letter-spacing: 0.05em;
  display: flex;
  align-items: center;
  justify-content: center;
}

.welcome__text a:hover {
  background: #001847;
}

.welcome__img img {
  width: 100%;
  height: auto;
}

@media screen and (min-width: 770px) {
  .welcome {
    padding: 20px;
    flex-direction: row;
    height: calc(100vh - 100px);
  }
  .welcome__text h2 {
    font-size: 3.2rem;
    line-height: 73px;
  }

  .welcome__text p {
    font-size: 1.5rem;
    line-height: 29px;
  }
}
